put
https://{youraccountname}.api-us1.com/api/3/webhooks/
Update an existing webhook
{
"webhook": {
"name": "My Hook",
"url": "http://example.com/my-hook",
"events": [
"subscribe",
"unsubscribe",
"sent"
],
"sources": [
"public",
"system"
],
"headers": [
{
"name": "CUSTOM-SIGNATURE-NAME",
"value": "secret",
"is_signature": true
},
{
"name": "CUSTOM-HEADER-NAME",
"value": "customvalue",
"is_signature": false
},
]
}
}{
"webhook": {
"cdate": "2016-01-01T12:00:00-00:00",
"listid": "0",
"name": "My Hook",
"url": "http://example.com/my-hook",
"events": [
"subscribe",
"unsubscribe",
"sent"
],
"sources": [
"public",
"system"
],
"links": [],
"id": "1",
"headers": [
{
"name": "CUSTOM-SIGNATURE-NAME",
"value": "", // signature returns empty value because it's secret
"is_signature": true
},
{
"name": "CUSTOM-HEADER-NAME",
"value": "customvalue",
"is_signature": false
},
]
}
}